Bug 104768 - Scrolling mangles lines in maximized gnome-terminal
Scrolling mangles lines in maximized gnome-terminal
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
:
: 106386 114232 127454 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-20 18:06 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 03:05:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snippet from "scratched" maximized gnome-terminal window (12.00 KB, image/png)
2003-09-20 18:08 EDT, Leonard den Ottolander
no flags Details

  None (edit)
Description Leonard den Ottolander 2003-09-20 18:06:28 EDT
Description of problem:

 When maximizing a gnome-terminal in a Gnome session scrolling up and down
("scratching" the scrollbar) mangles the display of lines (see attached png).
This only happens with a solid background. Also it only happens in a Gnome
session, not in a KDE session.

 The latter probably has to do with the fact that the KDE window manager doesn't
actually maximize the gnome-terminal, but sizes it to contain the maximum number
of whole characters that will fit both vertically and horizontally while the
Gnome window manager sizes the gnome-terminal to fit the desktop.


Version-Release number of selected component (if applicable):
vte-0.11.10-4
Severn + rawhide
Comment 1 Leonard den Ottolander 2003-09-20 18:08:43 EDT
Created attachment 94615 [details]
snippet from "scratched" maximized gnome-terminal window
Comment 2 Rasmus Lerdorf 2003-11-21 19:19:51 EST
I am seeing this as well, but not just in gnome-terminal.  X-Chat has
the same problem when you maximize it.
Comment 3 Leonard den Ottolander 2004-01-26 07:05:07 EST
Changed product from Red Hat Linux Beta to Fedora Core 1, as it still
is an issue there.
Comment 4 Jef Spaleta 2004-02-26 00:51:37 EST
*** Bug 106386 has been marked as a duplicate of this bug. ***
Comment 5 Jef Spaleta 2004-02-26 01:07:19 EST
*** Bug 114232 has been marked as a duplicate of this bug. ***
Comment 6 Warren Lewis 2004-02-26 01:42:12 EST
Still present in Fedora core 2 test 1. recomending change of version
again.
Comment 7 Leonard den Ottolander 2004-02-26 06:40:33 EST
Since FC 1 is not yet at it's end of life such a change of version is
a bit premature. That would be a good idea if the problem persists
after the end of life of FC 1.
Comment 8 Adam Bowns 2004-05-21 09:13:56 EDT
This is still here in FC2 final release, can someone change the version.
Comment 9 Leonard den Ottolander 2004-05-21 15:11:02 EDT
I don't believe these version changes are a good idea. It needs to be
known this bug has been there since Fedora Core 1. Mentioning it is
still valid in FC2 should suffice.

Changing version info like this destroys context information.
Maintainers should look at old release bugs well since they might
still contain relevant information. If they are not they should be closed.
Comment 10 Miloslav Trmac 2004-07-08 12:53:24 EDT
*** Bug 127454 has been marked as a duplicate of this bug. ***
Comment 11 Eddahbi Karim 2004-09-28 05:51:13 EDT
Just to give an hint :

I don't have this bug with "Gnome-terminal 2.7.3" and "vte-0.11.11-5"
(I'm using the Rawhide branch of Fedora).
Comment 12 petrosyan 2005-01-03 22:20:09 EST
I can't reproduce this bug in Fedora Core 3
Comment 13 Adam Murray 2005-01-12 17:05:22 EST
I recently upgraded from FC2 to FC3 and I'm having this problem with
gnome-terminal-2.7.3-1

I don't remember seeing this bug before the upgrade...
Comment 14 Egmont Koblinger 2005-01-14 20:51:48 EST
This one might be related, and if you're extremely lucky, it may
even fix your problem. Please take a look:
http://bugzilla.gnome.org/show_bug.cgi?id=158797
Comment 15 Egmont Koblinger 2005-01-15 05:49:37 EST
See also
http://bugzilla.gnome.org/show_bug.cgi?id=164153
Comment 16 Egmont Koblinger 2005-01-15 06:12:54 EST
Ohh, I see everything now. :-))

On one hand, this bug is related to the scrolling issues described
behind my two previos links.

On the other hand, when maximizing a window in Gnome, it gets the
pixel dimensions of the screen, hence its height will not necessarily
be a multiple of the character cell height (plus constant needed by
the border and menu and stuff like that). That is, it may get a size
it cannot normally get by manually resizing it, not even on a larger
desktop. As vte is not prepared for this scenario, is scrolls
incorrectly.

Though it would nice if vte tolerated these kind of situations,
I guess this is clearly a metacity bug I can easily reproduce with
vte. Under icewm, for example, the maximize button honours the size
constraints of vte, it resizes the window to a size slightly smaller
than the desktop, but vte's size will be a multiple of character cell
dimensions (plus constants as mentioned.) Hence the current bug is
not reproducible under Icewm.

Metacity should also honour the size constraints.

Those who couldn't reproduce the problem probably either don't use
Gnome or happen to have a desktop and vte font size that fit each
other.
Comment 17 Egmont Koblinger 2005-01-15 06:23:23 EST
The metacity bug is already reported to the gnome folks here:
http://bugzilla.gnome.org/show_bug.cgi?id=133145
Comment 18 Warren Togami 2005-03-29 03:05:33 EST
This behavior is fixed in rawhide (FC4) with vte-0.11.12.  If you notice similar
behavior open a NEW bug with exact reproduce procedure and new screenshots.

Note You need to log in before you can comment on or make changes to this bug.